# DataExchange
TKSTEPBase
StepShape

# StepShape_ShapeRepresentation Class Reference

`#include <StepShape_ShapeRepresentation.hxx>`

Inheritance diagram for StepShape_ShapeRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ShapeRepresentation ()
| Returns a ShapeRepresentation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ShapeRepresentation::StepShape_ShapeRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ShapeRepresentation::Handle | ( | Standard_Type |  | ) | const

Reimplemented from StepRepr_Representation.

Reimplemented in StepShape_AdvancedBrepShapeRepresentation, StepShape_CompoundShapeRepresentation, StepShape_CsgShapeRepresentation, StepShape_EdgeBasedWireframeShapeRepresentation, StepShape_FacetedBrepShapeRepresentation, StepShape_GeometricallyBoundedSurfaceShapeRepresentation, StepShape_GeometricallyBoundedWireframeShapeRepresentation, StepShape_ManifoldSurfaceShapeRepresentation, StepShape_NonManifoldSurfaceShapeRepresentation, StepShape_PointRepresentation, StepShape_ShapeDimensionRepresentation, StepShape_ShapeRepresentationWithParameters, and StepShape_TransitionalShapeRepresentation.

The documentation for this class was generated from the following file:

- StepShape_ShapeRepresentation.hxx